import React, { CSSProperties } from 'react'
import './App.css'
import { Routes, Route, Link } from 'react-router-dom'
import Home from './features/Home/Home'
import Catalog from './features/Catalog/Catalog'
import NotFound from './features/NotFound/NotFound'
import { Paper, Theme } from '@mui/material'
import { ThemeProvider } from '@emotion/react'
import { useSelector } from 'react-redux'
import { RootState } from './features/redux/store'
import { createTheme } from '@mui/material/styles'

const App = () => {
    const theme: Theme = useSelector((state: RootState) => state.theme.theme)

    return (
        <ThemeProvider theme={theme}>
            <Paper style={{ minHeight: '100vh', borderRadius: 0 }}>
                <nav>
                    <Link to="/">Home</Link>
                    <Link to="/catalog">Catalog</Link>
                </nav>
                <Routes>
                    <Route path="/" element={<Home />} />
                    <Route path="/catalog" element={<Catalog />} />
                    <Route path="*" element={<NotFound />} />
                </Routes>
            </Paper>
        </ThemeProvider>
    )
}

export default App
